Bug 701313 - Upgrade fails
Upgrade fails
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
13
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-02 10:55 EDT by Nigel Horne
Modified: 2014-01-21 18:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-07 13:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2011-05-02 10:55:08 EDT
Description of problem:

I don't know which component to mark this against - my best guess is yum, since that's the last command I tried.  If I am wrong please could you point me in the right direction?  Thanks.


Version-Release number of selected component (if applicable):
yum-3.2.28-5.fc13.noarch

How reproducible:
100%


Steps to Reproduce:
1. yum upgrade
2. reboot
3. choose upgrade from grub
  
Actual results:
An error has occurred finding the installation image on your hard drive. Please check you image and try again. 

If I click ok I get:

What partition and directory on that partition holds the installation image? If you don't see the disk drive you're using listed here, press F2 to configure additional devices

It then gives the following options
/dev/sda1
/dev/sda2
/dev/sda4
/dev/sda5
/dev/sda6
plus /dev/sdb1 2 and 3

directory holding the boot image: /boot/upgrade/install.img__

I've looked in /boot/upgrade and there is no install.img__ 


Expected results:
Yum should upgrade the system


Additional info:
Comment 1 Elad Alfassa 2011-05-02 11:56:14 EDT
yum upgrade is not used for upgrading between releases in that way.
Moving to preupgrade (the only thing that could have made that entry in your boot menu, unless you've added it manually)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Nigel Horne 2011-05-02 12:04:04 EDT
I didn't change the boot menu, all I did was to type 'yum update' at the command line.
Comment 3 Elad Alfassa 2011-05-02 12:17:55 EDT
(In reply to comment #2)
> I didn't change the boot menu, all I did was to type 'yum update' at the
> command line.
So, you have never run preupgrade?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Nigel Horne 2011-05-06 12:03:45 EDT
No, just 'yum update'.
Comment 5 Elad Alfassa 2011-05-06 12:08:16 EDT
yum update doesn't create that boot menu item.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Nigel Horne 2011-05-06 12:22:07 EDT
Then what did?  It wasn't there, I did yum update, and now it is there.
Comment 7 Elad Alfassa 2011-05-07 13:18:07 EDT
Simply running yum update *does not* upgrade fedora 13 to fedora 14 (for example).
If you want to upgrade, run preupgrade or download the DVD and use it to upgrade.

Closing as NOTABUG.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.